# Class `juce.Rectangle_float`

A floating-point (sub-pixel) rectangle.

Is converted to a JUCE Rectangle

## Constructors

juce.Rectangle_float (x, y, w, h) | Constuctor with classical arguments.
juce.Rectangle_float (args) | Constuctor with named arguments.

## Methods

juce.Rectangle_float:toInt () | To int.
juce.Rectangle_float:contains (point) | Contains.
juce.Rectangle_float:getR () | Get right.
juce.Rectangle_float:getB () | Get bottom.

## Fields

juce.Rectangle_float.x | Left position
juce.Rectangle_float.y | Top position
juce.Rectangle_float.w | Width
juce.Rectangle_float.h | Height

## Constructors

juce.Rectangle_float (x, y, w, h)
  Constuctor with classical arguments.

  ### Parameters:

  - x left position
  - y top position
  - w width
  - h height
juce.Rectangle_float (args)
  Constuctor with named arguments. Every field is optional.

  ### Parameters:

  - args
    - x left position
    - y top position
    - w width
    - h height

## Methods

juce.Rectangle_float:toInt ()
  To int. Convert to a pixel-aligned rectangle

  ### Returns:

  juce.Rectangle_int
juce.Rectangle_float:contains (point)
  Contains.

  ### Parameters:

  - point juce.Point

  ### Returns:

  boolean whether the rectangle contains the point
juce.Rectangle_float:getR ()
  Get right.

  ### Returns:

  the rectangle's right position on the X axis
juce.Rectangle_float:getB ()
  Get bottom.

  ### Returns:

  the rectangle's bottom position on the Y axis

## Fields

juce.Rectangle_float.x
  Left position
juce.Rectangle_float.y
  Top position
juce.Rectangle_float.w
  Width
juce.Rectangle_float.h
  Height

generated by LDoc 1.4.2